Bug 1278415 - kernel panic not syncing attempted to kill init
kernel panic not syncing attempted to kill init
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 07:27 EST by Don Swaner
Modified: 2015-11-12 11:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-12 11:21:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output from good boot (60.88 KB, text/plain)
2015-11-06 10:03 EST, Don Swaner
no flags Details
failed boot backtrace (949 bytes, text/plain)
2015-11-06 10:06 EST, Don Swaner
no flags Details

  None (edit)
Description Don Swaner 2015-11-05 07:27:54 EST
Description of problem:
New kernel (vmlinuz-4.2.5-201.fc22.x86_64) fails to boot - terminates with error message "Kernel panic - not syncing: Attempted to kill init! exitcode=0x00000009

Version-Release number of selected component (if applicable):
kernel-core-4.2.5-201.fc22.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Boot system
2.
3.

Actual results:
boot hangs with error message

Expected results:
successful boot

Additional info:
Comment 1 Don Swaner 2015-11-05 19:46:48 EST
removing this kernel and reinstalling had no effect - same error.
Comment 2 Josh Boyer 2015-11-06 09:08:16 EST
Please attach the output of dmesg from a successfully booting kernel, as well as a digitial picture of as much of the backtrace as you can see on the failed boot.
Comment 3 Don Swaner 2015-11-06 10:03 EST
Created attachment 1090694 [details]
dmesg output from good boot
Comment 4 Don Swaner 2015-11-06 10:06 EST
Created attachment 1090695 [details]
failed boot backtrace

This attachment was manually created, so it may contain typographical errors.
Comment 5 Don Swaner 2015-11-06 10:11:28 EST
I do not have a camera or cell phone to take a digital picture of the screen, which I believe is what was requested.
Comment 6 Josh Boyer 2015-11-06 10:18:40 EST
(In reply to Don Swaner from comment #4)
> Created attachment 1090695 [details]
> failed boot backtrace
> 
> This attachment was manually created, so it may contain typographical errors.

Thanks, that was helpful.

Looking at the versions you have, it seems like a patch added in 4.2.4 is causing your issue.  Upstream is already aware of it, and the fix is queued for 4.2.6.  Specifically it is:

commit ababae44108b0e94b58eef6cb5bd830bd040a47f
Author: Werner Pawlitschko <werner.pawlitschko@arcor.de>
Date:   Tue Oct 27 09:08:04 2015 +0900

    x86/ioapic: Prevent NULL pointer dereference in setup_ioapic_dest()
    
    Commit 4857c91f0d19 changed the way how irq affinity is setup in
    setup_ioapic_dest() from using the core helper function to
    unconditionally calling the irq_set_affinity() callback of the
    underlying irq chip.
    
    That results in a NULL pointer dereference for the rare case where the
    underlying irq chip is lapic_chip which has no irq_set_affinity()
    callback. lapic_chip is occasionally used for the timer interrupt (irq
    0).
    
    The fix is simple: Check the availability of the callback instead of
    calling it unconditionally.
    
    Fixes: 4857c91f0d19 "x86/ioapic: Force affinity setting in setup_ioapic_dest()"
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>
    Cc: stable@vger.kernel.org
Comment 7 Josh Boyer 2015-11-10 11:46:17 EST
4.2.6 is building right now.
Comment 8 Don Swaner 2015-11-12 11:17:23 EST
kernel 4.2.6-200.fc22.x86_64 fixes bug
Comment 9 Josh Boyer 2015-11-12 11:21:57 EST
Thank you for testing.

Note You need to log in before you can comment on or make changes to this bug.